%define name weston
%define version 1.0.3
%define wayland_ver 1.0.3
%define release %mkrel 3

Summary:	The Weston Wayland Compositor
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz
License:	MIT
Group:		Graphics/Utilities
Url:		http://wayland.freedesktop.org/
BuildRequires:	cairo-devel
BuildRequires:	jpeg-devel
BuildRequires:	libxkbcommon-devel >= 0.1.0-0.20120713.1
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libvpx-devel
BuildRequires:	libxcursor-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaegl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	mesaglesv2-devel
BuildRequires:	mtdev-devel
BuildRequires:	pam-devel
BuildRequires:	pixman-devel
BuildRequires:	poppler-glib-devel
BuildRequires:	png-devel
BuildRequires:	systemd-devel
BuildRequires:	udev-devel
BuildRequires:	wayland-devel >= %{wayland_ver}
BuildRequires:	wayland-egl-devel

%description
Weston is the reference implementation of a Wayland compositor, and a
useful compositor in its own right. Weston has various backends that
lets it run on Linux kernel modesetting and evdev input as well as
under X11.
There is also a quite capable terminal emulator (weston-terminal) and
an toy/example desktop shell. Finally, Weston also provides
integration with the Xorg server and can pull X clients into the
Wayland desktop and act as a X window manager.

%package demos
Summary:	Demo clients for Weston
Group:		Graphics/Utilities

%description demos
This package contains a few example clients for Weston, from simple
clients that demonstrate certain aspects of the protocol to more
complete clients and a simplistic toolkit demo clients for Weston.

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x --disable-setuid-install
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/%{name}/*.la

for d in $(find clients/ -type f -not -name Makefile -and -not -name '*.*' -and -not -name '%{name}-*'); do
    install -m755 $d %{buildroot}%{_bindir}/%{name}-$(basename $d)
done

%files
%{_bindir}/%{name}
%{_bindir}/wcap-decode
%attr(4755,root,root) %{_bindir}/%{name}-launch
%{_bindir}/%{name}-info
%{_bindir}/%{name}-terminal
%{_libexecdir}/%{name}-desktop-shell
%{_libexecdir}/%{name}-tablet-shell
%{_libexecdir}/%{name}-screensaver
%{_libexecdir}/%{name}-screenshooter
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.svg
%{_mandir}/man1/*
%{_mandir}/man7/*

%files demos
%{_bindir}/%{name}-clickdot
%{_bindir}/%{name}-cliptest
%{_bindir}/%{name}-dnd
%{_bindir}/%{name}-editor
%{_bindir}/%{name}-eventdemo
%{_bindir}/%{name}-flower
%{_bindir}/%{name}-gears
%{_bindir}/%{name}-image
%{_bindir}/%{name}-keyboard
%{_bindir}/%{name}-resizor
%{_bindir}/%{name}-simple-egl
%{_bindir}/%{name}-simple-shm
%{_bindir}/%{name}-simple-touch
%{_bindir}/%{name}-smoke
%{_bindir}/%{name}-view


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 385683
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Wed Jan 02 2013 pterjan <pterjan> 1.0.3-2.mga3
+ Revision: 337495
- Fix for _libdir != _libexecdir

* Thu Dec 20 2012 kamil <kamil> 1.0.3-1.mga3
+ Revision: 333261
- update %%files
- new version 1.0.3, update Source0

* Tue Oct 23 2012 blino <blino> 1.0.0-1.mga3
+ Revision: 309359
- 1.0.0

* Wed Oct 17 2012 fwang <fwang> 0.99.0-1.mga3
+ Revision: 307714
- update file list

  + blino <blino>
    - use Graphics/Other group
    - 0.99.0

* Tue Aug 07 2012 blino <blino> 0.95.0-3.mga3
+ Revision: 279829
- fix package group

* Wed Jul 25 2012 blino <blino> 0.95.0-2.mga3
+ Revision: 274379
- update descriptions
- package demo clients in weston-demos

* Tue Jul 24 2012 blino <blino> 0.95.0-1.mga3
+ Revision: 274124
- buildrequire xcursor devel
- do not package wcap-snapshot (dropped upstream)
- 0.95.0

* Tue Jul 24 2012 blino <blino> 0.94.90-2.mga3
+ Revision: 273981
- weston-launch should be setuid root instead of weston
- buildrequire poppler-glib-devel instead
- buildrequire poppler-devel

* Tue Jul 24 2012 blino <blino> 0.94.90-1.mga3
+ Revision: 273906
- buildrequire libvpx-devel
- buildrequire systemd-devel
- buildrequire pam-devel
- package new files (wcap-*, weston-launch, screensaver, screenshoter)
- buildrequire mtdev devel
- require newer xkbcommon
- 0.94.90
- drop xkbcommon include patch cherry-pick

* Sun Jul 01 2012 colin <colin> 0.85.0-2.mga3
+ Revision: 265943
- Add missing BuildRequire on mesaglu-devel
- Rebuild for new libudev major

* Mon Mar 05 2012 blino <blino> 0.85.0-1.mga2
+ Revision: 218311
- buildrequire jpeg-devel
- buildrequire cairo devel
- buildrequire pixman and png devel packages
- initial release
- Created package structure for weston.

